Bug 580799 - RFE: Find unused XML files in document directory
RFE: Find unused XML files in document directory
Status: CLOSED ERRATA
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-09 01:02 EDT by Ruediger Landmann
Modified: 2010-11-23 23:19 EST (History)
4 users (show)

See Also:
Fixed In Version: publican-1.6.3-0.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-17 14:56:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ruediger Landmann 2010-04-09 01:02:43 EDT
Description of problem:
"publican printtree" prints a list of all the XML files included in a document. However, it's sometimes useful to generate a list of XML files in the en-US directory which are /not/ included in the document. In particular, it would be useful to be able to check for any such files before generating POTs and therefore risking wasting translators' time.

Maybe printtree could also list unused XML files as part of its normal operation? or perhaps this could be a new action option for printtree?

Version-Release number of selected component (if applicable):
1.6.2
Comment 2 Jeff Fearn 2010-04-09 20:01:10 EDT
$ publican print_unused

No unused XML files

$ cp en-US/Author_Group.xml en-US/TEST.xml

$ publican print_unused

List of unused XML files in en-US
   TEST.xml
Comment 3 Ruediger Landmann 2010-05-06 00:54:42 EDT
Confirmed working on version 1.6.3.t122
Comment 4 Fedora Update System 2010-05-13 18:20:36 EDT
publican-1.6.3-0.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/publican-1.6.3-0.fc13
Comment 5 Fedora Update System 2010-05-13 18:21:53 EDT
publican-1.6.3-0.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/publican-1.6.3-0.fc12
Comment 6 Fedora Update System 2010-05-15 16:36:15 EDT
publican-1.6.3-0.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update publican'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/publican-1.6.3-0.fc12
Comment 7 Fedora Update System 2010-05-15 16:45:30 EDT
publican-1.6.3-0.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update publican'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/publican-1.6.3-0.fc13
Comment 8 Fedora Update System 2010-05-17 14:55:28 EDT
publican-1.6.3-0.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2010-05-17 14:59:20 EDT
publican-1.6.3-0.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.